About the MediaGuard API
The MediaGuard API lets you send pre-bid data to HUMAN and receive IVT predictions accordingly. This HTTP-based API mirrors the core features of our gRPC-based SDK.
The MediaGuard API includes two endpoints:
- The default
/lookupendpoint expects individual details about a bid request (extracted from an OpenRTBBidRequestobject) in its request body. MediaGuard analyzes these details and returns an IVT prediction. - The
/health-checkendpoint checks the status of MediaGuard’s servers.
Authentication
The MediaGuard API requires request-level authentication using Basic auth. To authenticate a request, provide an Authorization header with the value Basic base64(username:password).
For example, if your HUMAN Auth ID is whiteops and your HUMAN Auth Key is secret, your Authorization header should be set to Basic d2hpdGVvcHM6c2VjcmV0.
Using curl
You can use curl to access the MediaGuard APIfor easy testing. To use CURL with the API and HTTP basic auth, use the following base command:
curl -u "username:password" -i https://example.prevops.com/endpoint
Content types
The API supports both JSON and protobuf encoding. To choose, set the Content-Type header to application/json or application/protobuf as needed. If you don’t provide a content type header, the API will default to application/json.